*Step 1: Data Preprocessing*

The primary goal of the data preprocessing step is to assemble all of
the disparate data collected and described in the previous section into
a single data file with a common index. This historical incident data
contains three spatial attributes, including a physical location
(usually an address, but this varies), the incident zip code, and the
incident police district. Ideally, the historical incident location data
would be used to aggregate to a relatively small administrative boundary
that is relevant to our analysis (such as police subzones), but due to
the sheer size of the data set, time constraints, missing / incomplete
location descriptions, and / or ambiguous locations, this was not
feasible by the required project delivery date. While police districts
provide a potentially relevant geography of analysis (in that these
districts are an administrative boundary that is relevant to various
types of emergency events), the zip code geography was selected for this
analysis as it provides a more granular level of analysis, allowing for
more spatially refined modeling.

Given this dynamic, the historical incident data was aggregated to the
zip code level (with incident counts for this geography) and indexed by
date, month, and year. Data obtained from the U.S. Census, including the
ACS and LODES data, was joined directly to this aggregated incident
data, as the census data was procured at the zip code level. Using the
date index, other data indictors were then assigned to this data set,
including various weather conditions within the city on a given day
(mean temperature, humidity, wind speed, and weather events such as
precipitation and tornado events) and national and local holiday events.

The resultant aggregated and indexed set contains approximately 557,000
records. Several chloropleth visualizations of the zip code level,
including total incident counts, per capita income, median age, and
population are provided on Figures 2 through 5 at the end of the
document. The finalized preprocessed data can be obtained via link in
the “References” section.